cascading.flow.stream

## Class TrapException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.flow.stream.duct.DuctException
        - - cascading.flow.stream.TrapException

- All Implemented Interfaces:
    Serializable

      public class TrapException
      extends DuctException

  TrapException is a pass through exception allowing trap io failures to propagate past upstream traps.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrapException(String message, Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrapException

          public TrapException(String message,
                       Throwable throwable)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.